### Constructor

# Gtk FileFilternew_from_gvariant

#### Declaration [src]

    GtkFileFilter*
    gtk_file_filter_new_from_gvariant (
      GVariant* variant
    )

#### Description [src]

Deserialize a file filter from a `GVariant`.

The variant must be in the format produced by `gtk_file_filter_to_gvariant()`.

#### Parameters

`variant`

  Type: `GVariant`

  An `a{sv}` `GVariant`

  The data is owned by the caller of the function.

#### Return value

Type: `GtkFileFilter`

A new `GtkFileFilter` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.